# Visualization
TKV3d
StdPrs

# StdPrs_Plane Class Reference

A framework to display infinite planes.
.

`#include <StdPrs_Plane.hxx>`

Inheritance diagram for StdPrs_Plane:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Adaptor3d_Surface &aPlane, const Handle(Prs3d_Drawer)&aDrawer)
| Defines display of infinite planes. The infinite plane aPlane is added to the display aPresentation, and the attributes of the display are defined by the attribute manager aDrawer. .
static Standard_EXPORT Standard_Boolean | Match (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance, const Adaptor3d_Surface &aPlane, const Handle(Prs3d_Drawer)&aDrawer)
| returns true if the distance between the point (X,Y,Z) and the plane is less than aDistance.

## Member Function Documentation

static Standard_EXPORT void StdPrs_Plane::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Adaptor3d_Surface & | aPlane,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StdPrs_Plane::Match | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance,
|  | const Adaptor3d_Surface & | aPlane,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

void StdPrs_Plane::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_Plane::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_Plane::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- StdPrs_Plane.hxx